Subject: Re: [PATCH net v2 2/2] net: phy: micrel: remove ksz9131_resume()

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 9 Apr 2026 12:05:11 +0100

On Thu, Apr 09, 2026 at 10:52:35AM +0000, Biju Das wrote:
> Hi Russell King,
> 
> Thanks for the feedback.
> 
> > -----Original Message-----
> > From: Russell King <[email-masked]>
> > Sent: 09 April 2026 11:30
> > Subject: Re: [PATCH net v2 2/2] net: phy: micrel: remove ksz9131_resume()
> >
> > phy_init_hw() will also call drv->config_intr(), so that doesn't need to be done either.
> > 
> > It will also call drv->config_init(), which will call kszphy_config_reset().
> > 
> > So most of kszphy_resume() becomes unnecessary. I think the only thing that remains would be the call
> > to kszphy_enable_clk() - and is it fine to call that after phy_init_hw() ?
> 
> It just needs kszphy_enable_clk() and phydev->drv->config_intr() to enable PHY interrupts for
> suspend-to-RAM to work on RZ/G3E SMARC EVK.

I think you mean WoL rather than suspend-to-RAM, although I don't see
anything in micrel.c that hints that WoL is supported, so please explain
why and how the PHY interrupt impacts suspend-to-RAM.

Note that a particular interrupt should not wake the system unless
enable_irq_wake() has been called for that specific interrupt.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!